# Atherstone.py

Carrier = __import__( "ftb.Carrier")
class Atherstone( Carrier.Carrier):
    def __init__( self, pShip):
        Carrier.Carrier.__init__( self, pShip)
        # The script name should be the name of the "ship" script, not the
        # hardpoint (otherwise, you'll crash your BC and this is bad)
        LauncherGroup = __import__( "ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__( "ftb.LauncherManager")
        launcher = LauncherManager.GetLauncher( "Shuttle Bay 1", pShip)
        group.AddLauncher( "Shuttle Bay 1", launcher)
        launcher.AddLaunchable( "Shuttle", "ftb.friendlyAI", 1)

        LauncherManager = __import__( "ftb.LauncherManager")
        launcher = LauncherManager.GetLauncher( "Shuttle Bay 2", pShip)
        group.AddLauncher( "Shuttle Bay 2", launcher)
        launcher.AddLaunchable( "Shuttle", "ftb.friendlyAI", 1)
        self.AddLauncher( "Group 1", group)

        # Play with this feature if you dare... MUHAHAHAHAHAHAHAHAHAHAHAHA!!!!!
        #group.SetLaunchMode( LauncherGroup.ALL)


    def GetMaxShuttles(self):
    	return 2

    def IgnoreTractors(self):    	
      return ["Aft Tractor", "Fwd Tractor"]

ShipManager = __import__( "ftb.ShipManager")
ShipManager.RegisterShipClass( "Atherstone", Atherstone)
