import Foundation
import App

abbrev = 'Atherstone'
iconName = 'Atherstone'
longName = 'USS Atherstone'
shipFile = 'Atherstone' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Atherstone = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.Atherstone.dTechs = { 'Breen Drainer Immune': 1, 'Multivectral Shields': 75, 'Ablative Armour': 5000 }
Foundation.ShipDef.Atherstone.fMaxWarp = 9.85
Foundation.ShipDef.Atherstone.fCruiseWarp = 6.9

#Foundation.ShipDef.Atherstone.hasTGLName = 1
#Foundation.ShipDef.Atherstone.hasTGLDesc = 1

Foundation.ShipDef.Atherstone.desc = "U.S.S. Atherstone NCC-96301\nAtherstone Class Light Cruiser\n \nThe 1st design of this ship class was the U.S.S Mayhem, but due to design defects which would cause the impluse engines to overload and take out the warp engines, the ship was quickly redesigned and refitted with new warp and impluse engines.  The limited shuttle & cargo bay room lead to the redesign of the lower decks, moving the shuttle bays to the saucer section of the ship allowing room for one type 6 shuttle in each bay and limited cargo space. Another design change was moving of the navigational deflector to the saucer allowing for more weapons systems to be added.  The ship itself is small and meant for starbase & station support and defense.  The lack of interior space and luxuries found on most Federation ships limit the extended cruise capabilities of this class."

if menuGroup:           Foundation.ShipDef.Atherstone.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Atherstone.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


